package ft8

import "testing"

var (
	testCQLine = `231215_021330    14.074 Rx FT8     -6  0.1 1713 CQ N6ACA CM97`
)

func TestMatchCQ(t *testing.T) {
	rec, err := ParseRecord(testCQLine)
	if err != nil {
		t.Fatal(err)
	}

	if rec.Type != RecordTypeCQ {
		t.Fatalf("invalid record: expected %d, have %d", RecordTypeCQ, rec.Type)
	}
}
